View Issue Details

IDProjectCategoryView StatusLast Update
0000418ScribusStory Editor / Text Framespublic2008-01-30 12:16
Reporterlinuxlingam Assigned Toavox  
PriorityhighSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformallOSallOS Versionall
Product Version1.3.4cvs 
Target VersionFixed in Version1.3.5svn 
Summary0000418: justification with user-defined inter-letter and word spacing in percentage
Descriptionthe existing justification engine creates 'rivers' of vertical white spaces in paras. donald knuth had some amazing techniques to control these. one simpler and rudimentary way of doing this is to allow for user-defined minimum, optimal, and maximum spaces between letters, and between words.
TagsNo tags attached.
Patch

Relationships

related to 0001297 closed Line spacing should be a per-paragraph thing 
related to 0003828 acknowledged Metabug: Hyphenation 
related to 0004572 new Hyphenation styles (mockup included) 

Activities

mwdiers

2004-06-26 21:43

reporter   ~0001847

Last edited: 2004-06-26 21:46

This is an absolutely essential feature for any good DTP program. At the moment, Scribus seems to justify text using the "fill the line, and then either hyphenate or expand word spacing" method. This is a very poor method, and produces the excess vertical space mentioned above. Microsoft Word is guilty of the same, unless you go turn on "do full justification like Word Perfect" under compatibility options. Pagemaker, InDesign, and Quark all presently do a better job than Scribus. min/max/optimal may be crude, but at least it allows the space between words to shrink (within limits) as well as to expand, producing a much more pleasing result, and more compact text as well.

edited on: 26-06-04 23:46

mhanski

2006-04-12 22:45

developer   ~0009873

on the roadmap for 1.3.4, changing the status to acknowledged

avox

2007-06-05 21:50

administrator   ~0016448

already fixed in 134, but forgot to close there

Issue History

Date Modified Username Field Change
2004-04-04 23:12 linuxlingam New Issue
2004-06-26 21:43 mwdiers Note Added: 0001847
2004-06-26 21:46 mwdiers Note Edited: 0001847
2006-04-12 10:24 mhanski Priority normal => high
2006-04-12 10:24 mhanski OS Fedora => all
2006-04-12 10:24 mhanski OS Version Core 1 => all
2006-04-12 10:24 mhanski Platform AthlonXP => all
2006-04-12 10:24 mhanski Product Version => 1.3.4cvs
2006-04-12 10:33 mhanski Relationship added related to 0000128
2006-04-12 10:37 mhanski Relationship deleted related to 0000128
2006-04-12 10:37 mhanski Relationship added child of 0000128
2006-04-12 22:45 mhanski Note Added: 0009873
2006-04-12 22:45 mhanski Status new => acknowledged
2006-04-23 16:58 mhanski Relationship added related to 0001297
2006-05-16 21:50 christoph_s Relationship added related to 0003828
2006-11-21 14:47 christoph_s Relationship added related to 0004572
2007-06-05 21:48 avox Status acknowledged => assigned
2007-06-05 21:48 avox Assigned To => avox
2007-06-05 21:50 avox Status assigned => resolved
2007-06-05 21:50 avox Fixed in Version => 1.3.5cvs
2007-06-05 21:50 avox Resolution open => fixed
2007-06-05 21:50 avox Note Added: 0016448
2007-06-06 21:12 christoph_s Status resolved => closed
2008-01-30 12:16 christoph_s Relationship deleted child of 0000128
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames